#!/bin/bash
#
# Script to install IntelMQ
#

if [ "x$(whoami)" != "xintelmq" ]; then
      echo "Exectuing as wrong user."
      exit -1
fi

if ! test -f /opt/intelmq/venv/bin/activate; then
        echo "Issues with venv."
        exit -1
else
        source /opt/intelmq/venv/bin/activate
fi

PY_INTELMQ='intelmq intelmq-api intelmqmail intelmq-manager gunicorn certstream'

pip3 install $PY_INTELMQ
pip3 install $PY_CERTBUND_CONTACT


# Junk

mkdir /opt/intelmq/src
cd /opt/intelmq/src
git clone https://github.com/Intevation/intelmq-certbund-contact.git
git clone https://github.com/Intevation/intelmq-fody-backend.git
( cd /opt/intelmq/src/intelmq-certbund-contact ; pip3 install . ; true )
( cd /opt/intelmq/src/intelmq-fody-backend ; python3 setup.py install ; true )
cd
rm -rf /opt/intelmq/src

# Due to Certbund contact overwrite files for some reason, reinstall intelmq
pip3 install --force-reinstall intelmq

intelmq-manager-build -o /opt/intelmq/www/intelmq-manager

touch /opt/intelmq/.installed
